{

    //在一场战斗中，护盾每次释放都会使冷却时间减少10%

    "AbilityName":"Affix_ShieldStart_ReduceCD",

    "AbilityStacking":"Unique",

    "DefaultModifier":

    {

        "ModifierStacking":"Unique",

        "OnBattleEnter":

        [

            {

                "$type": "MoleMole.SetAbilitySpecialAction",

                "ParamName": "MultipleStartTimeAdded",

                "ParamType": "float",

                "ModifyFunction": "Replace",

                "Param": 0

            },

            {

                "$type":"MoleMole.ApplyModifier",

                "ModifierName":"ShieldStart_ReduceCD",

                "Target":"TeamAvatars"

            }

        ],

        "OnBattleExit":

        [

            {

                "$type": "MoleMole.SetAbilitySpecialAction",

                "ParamName": "MultipleStartTimeAdded",

                "ParamType": "float",

                "ModifyFunction": "Replace",

                "Param": 0

            }

        ],

        "ShieldStartActions":

        [

            {

                "$type": "MoleMole.SetAbilitySpecialAction",

                "ParamName": "MultipleStartTimeAdded",

                "ParamType": "float",

                "ModifyFunction": "Add",

                "Param": -0.1,

                "Predicates" :

                [

                    {

                        "$type" : "MoleMole.ByAbilitySpecial",

                        "ParamName": "MultipleStartTimeAdded",

                        "Target": "Self",

                        "ParamType": "float",

                        "CompareType": "Greater",

                        "Param" : -0.9

                    }

                ]

            },

            {

                "$type":"MoleMole.RemoveModifier",

                "ModifierName":"ShieldStart_ReduceCD",

                "Target":"TeamAvatars"

            },

            {

                "$type":"MoleMole.ApplyModifier",

                "ModifierName":"ShieldStart_ReduceCD",

                "Target":"TeamAvatars"

            }

        ]

    },

    "Modifiers":

    {

        "ShieldStart_ReduceCD":

        {

            "ModifierStacking": "Unique",

            "Properties" : 

            {

                "Shield_SkillCD_Delta" : "%MultipleStartTimeAdded"

            }

        }

    },

    "AbilitySpecials" : 

    {

        "MultipleStartTimeAdded" :

        {

            "Value" : 0

        }

    }

}